### Class

# Ggit CommitParents

#### Description [src]

    final class Ggit.CommitParents : GObject.Object
    {
      /* No available fields */
    }

Represents the parents of a commit object.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_commit_parents_new

No description available.

#### Instance methods

###### ggit_commit_parents_get

Get the `GgitCommit` of a parent.

###### ggit_commit_parents_get_id

Get the `GgitOId` of a parent.

###### ggit_commit_parents_get_size

Get the number of parents in the parents collection.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.CommitParents:commit

No description available.

###### Ggit.CommitParents:size

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCommitParentsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.